Bug 565873 - cmdline kickstart install stops at -- In interactive step cleardiskssel, can't continue
Summary: cmdline kickstart install stops at -- In interactive step cleardiskssel, can'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-16 15:48 UTC by James Laska
Modified: 2013-09-02 06:44 UTC (History)
4 users (show)

Fixed In Version: anaconda-13.27-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-23 17:09:13 UTC


Attachments (Terms of Use)
log files.tgz (/tmp/*log and more) (20.10 KB, application/octet-stream)
2010-02-16 15:48 UTC, James Laska
no flags Details

Description James Laska 2010-02-16 15:48:33 UTC
Created attachment 394571 [details]
log files.tgz (/tmp/*log and more)

Description of problem:

Cmdline install stops and prompts at cleardisksel step despite having "cleardisk --all --initlabel" in the kickstart.

Version-Release number of selected component (if applicable):
 * anaconda-13.26 (plus http://jlaska.fedorapeople.org/updates-f13-alpha-tc2.img)

How reproducible:
 * Everytime

Steps to Reproduce:
1. Create the following kickstart file 

    # Basic kickstart file for RATS
    install
    url --url=http://...
    lang en_US.UTF-8
    keyboard us
    network --device eth0 --mtu=1500 --bootproto dhcp
    # "autoqa"
    rootpw  password
    timezone --utc America/New_York
    # partitioning - nuke and start fresh
    zerombr
    clearpart --all --initlabel
    autopart
    bootloader --location=mbr
    reboot

# packages should be a superset of critpath
%packages
@base
@base-x
%end

2. Attempt install using kickstart file and "cmdline" output, e.g. boot with "ks=http://server/path/to/ks.cfg cmdline"
  
Actual results:

Install stops and prompts user.

15:34:04,426 WARNING anaconda: step complete does not exist
15:34:04,426 WARNING anaconda: step complete does not exist
15:34:04,427 INFO anaconda: moving (1) to step setuptime
15:34:04,427 DEBUG anaconda: setuptime is a direct step
10:34:05,007 INFO anaconda: leaving (1) step setuptime
10:34:05,009 INFO anaconda: moving (1) to step cleardiskssel

Expected results:

If the kickstart contains 'clearpart --all --initlabel', should the install stop and prompt?

Additional info:

* See attached log files
* Adding for consideration as an F13Alpha candidate per cmdline test case priority discussion on anaconda-devel-list (see https://www.redhat.com/archives/anaconda-devel-list/2010-February/msg00059.html)

Comment 2 James Laska 2010-02-23 17:09:13 UTC
Verified fix in anaconda-13.29


Note You need to log in before you can comment on or make changes to this bug.